Portfolio

Record a fee against an asset

POST/portfolio/transactions/fees

Creates fee cash flow records for the specified investors on the given asset, using the provided fee type, amount, and date range.

Request body

application/json, required · PortfolioCreateFeeRequest

  • typePortfolioFeeTypeRequired#
  • asset_idnumberRequired#
  • investorsinteger[]Required#
  • invoice_datestring (date-time)Required#
  • settlement_datestring (date-time)Required#
  • amountnumberRequired#
  • descriptionstring | null#
{
  "type": "one_off_fee",
  "asset_id": 1,
  "investors": [
    1
  ],
  "invoice_date": "2026-06-12T10:00:00+00:00",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "amount": 1,
  "description": "string"
}

Responses

200
{}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/fees\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "type": "one_off_fee",
  "asset_id": 1,
  "investors": [
    1
  ],
  "invoice_date": "2026-06-12T10:00:00+00:00",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "amount": 1,
  "description": "string"
}'